crypton-1.0.1: Cryptography Primitives sink

Safe Haskell | None
Language | Haskell2010

Crypto.PubKey.ECC.Generate

Description

Signature generation.

Synopsis

- generateQ :: Curve -> Integer -> Point
- generate :: MonadRandom m => Curve -> m (PublicKey, PrivateKey)

# Documentation

generateQ :: Curve -> Integer -> Point #

Generate Q given d.

WARNING: Vulnerable to timing attacks.

generate #

Arguments

:: MonadRandom m |
=> Curve | Elliptic Curve
-> m (PublicKey, PrivateKey) |

Generate a pair of (private, public) key.

WARNING: Vulnerable to timing attacks.